%define perl_vendorarch %(eval "`%{_bindir}/perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_vendorarch64 %(eval "`%{_bindir}/perl_64bit -V:installvendorarch`"; echo $installvendorarch)

Summary:	List::Util and Scalar::Util - selection of general-utility scalar subroutines
Name:		perl-Scalar-List-Utils
Version:	1.19
Release:	1
License:	Artistic/GPL v1
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Scalar/Scalar-List-Utils-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	perl-List-Utils
URL:            http://search.cpan.org/dist/Scalar-List-Utils/
Requires:       perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:       perl >= 5.8.8


%description
This package contains a selection of subroutines that people have
expressed would be nice to have in the perl core, but the usage would
not really be high enough to warrant the use of a keyword, and the size
so small such that being individual extensions would be wasteful.


%prep
%setup -q -n Scalar-List-Utils-%{version}
mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/


%build
cd 32bit
%{_bindir}/perl Makefile.PL INSTALLDIRS="vendor"
make
cd ../64bit
%{_bindir}/perl_64bit Makefile.PL INSTALLDIRS="vendor"
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 32bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}
cd ../64bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name '*.bs' -empty -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*

mv ${RPM_BUILD_ROOT}%{_mandir}/man3/Scalar::Util.3 ${RPM_BUILD_ROOT}%{_mandir}/man3/Scalar::Util.3pm 
mv ${RPM_BUILD_ROOT}%{_mandir}/man3/List::Util.3 ${RPM_BUILD_ROOT}%{_mandir}/man3/List::Util.3pm 


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/Change* 32bit/README
%{perl_vendorarch}/*
%{perl_vendorarch64}/*
%{_mandir}/man3/*


%changelog
* Fri Nov 14 2008 Michael Perzl <michael@perzl.org> - 1.19-1
- first version for AIX V5.1 and higher
